Skip to main content
curl --request POST \
  --url https://{tenant_name}.{region}.techwolf.ai/reports/data_maturity_scan/job_quality_matrix \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "report_name": "job_quality_matrix",
  "report_data": {
    "entity_count": 100,
    "data_quality_matrix": [
      {
        "source": "Workday",
        "event_type": "job_title",
        "source_type": "market-specific",
        "source_coverage": 0.8,
        "empty_profile": 0.05,
        "source_quality": 0.85,
        "total_skill_volume": 45,
        "unique_skill_volume": 24,
        "source_differentation": 0.68
      }
    ]
  },
  "last_update": "2020-09-01T11:45:49Z"
}

Documentation Index

Fetch the complete documentation index at: https://developers.techwolf.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

force_recalculate
boolean
default:false

Reports are always stored for a certain time, and if this endpoint is called again within that time, the stored report is returned without recalculating. If force_recalculate is set to true, the report is recalculated and the stored report is overwritten.

Body

application/json
filters
object[]

Optional filters to apply to the report.

Response

OK

The Data Quality Matrix, per data source and Job Profile Data type, averaged over all Jobs.

report_name
string

Name of the report.

Example:

"job_quality_matrix"

report_data
object
last_update
string<date-time>
Example:

"2020-09-01T11:45:49Z"